// :  

#include <QtCore>
#include "QtWebSockets/qwebsocketserver.h"
#include "QtWebSockets/qwebsocket.h"

class Server : public QObject
{
  Q_OBJECT
public:
  explicit Server(quint16 port, bool debug = false, QObject *parent = nullptr);
  ~Server();
  
Q_SIGNALS:
  void closed();
  
private Q_SLOTS:
  void onNewConnection();
  void processTextMessage(QString message);
  void socketDisconnected();
  
private:
  QWebSocketServer *m_pWebSocketServer;
  QList<QWebSocket *> m_clients;
  bool m_debug;
};
